using GiftShopContracts.BindingModels;
using GiftShopContracts.SearchModels;
using GiftShopContracts.ViewModels;

namespace GiftShopContracts.StoragesContracts
{
    public interface IGiftStorage
    {
        List<GiftViewModel> GetFullList();

        List<GiftViewModel> GetFilteredList(GiftSearchModel model);

        GiftViewModel? GetElement(GiftSearchModel model);

        GiftViewModel? Insert(GiftBindingModel model);

        GiftViewModel? Update(GiftBindingModel model);

        GiftViewModel? Delete(GiftBindingModel model);
    }
}
